Bug 478082 - MIGRATED_FROM_JIRA: Penrose server bootstrap error
MIGRATED_FROM_JIRA: Penrose server bootstrap error
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:57 EST by Chandrasekar Kannan
Modified: 2016-01-28 16:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:57:26 EST
Penrose server's bootstrap process halted when one of the data source is not reachable. The acceptable behavior is to proceed the Penrose bootstrap process. 

C:\svnroot\penrose\target\dist\bin>penrose.bat
Exception in thread "main" javax.naming.CommunicationException: ldap.berkeley.ed
u:389 [Root exception is java.net.UnknownHostException: ldap.berkeley.edu]
        at com.sun.jndi.ldap.Connection.<init>(Connection.java:204)
        at com.sun.jndi.ldap.LdapClient.<init>(LdapClient.java:119)
        at com.sun.jndi.ldap.LdapClient.getInstance(LdapClient.java:1668)
        at com.sun.jndi.ldap.LdapCtx.connect(LdapCtx.java:2599)
        at com.sun.jndi.ldap.LdapCtx.<init>(LdapCtx.java:290)
        at com.sun.jndi.ldap.LdapCtxFactory.getUsingURL(LdapCtxFactory.java:175)

        at com.sun.jndi.ldap.LdapCtxFactory.getUsingURLs(LdapCtxFactory.java:193
)
        at com.sun.jndi.ldap.LdapCtxFactory.getLdapCtxInstance(LdapCtxFactory.ja
va:136)
        at com.sun.jndi.ldap.LdapCtxFactory.getInitialContext(LdapCtxFactory.jav
a:66)
        at javax.naming.spi.NamingManager.getInitialContext(NamingManager.java:6
62)
        at javax.naming.InitialContext.getDefaultInitCtx(InitialContext.java:243
)
        at javax.naming.InitialContext.init(InitialContext.java:219)
        at javax.naming.InitialContext.<init>(InitialContext.java:195)
        at javax.naming.directory.InitialDirContext.<init>(InitialDirContext.jav
a:80)
        at org.safehaus.penrose.connection.JNDIAdapter.init(JNDIAdapter.java:70)

        at org.safehaus.penrose.connection.Adapter.init(Adapter.java:34)
        at org.safehaus.penrose.Penrose.initConnections(Penrose.java:237)
        at org.safehaus.penrose.Penrose.addConfig(Penrose.java:215)
        at org.safehaus.penrose.Penrose.init(Penrose.java:144)
        at org.safehaus.penrose.PenroseServer.run(PenroseServer.java:71)
        at org.safehaus.penrose.PenroseServer.main(PenroseServer.java:225)
Caused by: java.net.UnknownHostException: ldap.berkeley.edu
        at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:153)
        at java.net.Socket.connect(Socket.java:452)
        at java.net.Socket.connect(Socket.java:402)
        at java.net.Socket.<init>(Socket.java:309)
        at java.net.Socket.<init>(Socket.java:124)
        at com.sun.jndi.ldap.Connection.createSocket(Connection.java:346)
        at com.sun.jndi.ldap.Connection.<init>(Connection.java:181)
        ... 20 more
Additional Comments From endisd dated Thu Sep 15 11:14:48 CDT 2005 
This has been fixed in 0.9.5.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '2',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-89',
          'assignee' => 'endisd',
          'summary' => 'Penrose server bootstrap error',
          'id' => '10281',
          'updated' => '2008-08-08 10:15:52.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-09-15 00:00:00.0',
                             'sequence' => '5',
                             'name' => 'Penrose-0.9.5',
                             'released' => 'true',
                             'id' => '10022',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'Penrose server's bootstrap process halted when one of the data source is not reachable. The acceptable behavior is to proceed the Penrose bootstrap process. 

C:\\svnroot\\penrose\\target\\dist\\bin>penrose.bat
Exception in thread "main" javax.naming.CommunicationException: ldap.berkeley.ed
u:389 [Root exception is java.net.UnknownHostException: ldap.berkeley.edu]
        at com.sun.jndi.ldap.Connection.<init>(Connection.java:204)
        at com.sun.jndi.ldap.LdapClient.<init>(LdapClient.java:119)
        at com.sun.jndi.ldap.LdapClient.getInstance(LdapClient.java:1668)
        at com.sun.jndi.ldap.LdapCtx.connect(LdapCtx.java:2599)
        at com.sun.jndi.ldap.LdapCtx.<init>(LdapCtx.java:290)
        at com.sun.jndi.ldap.LdapCtxFactory.getUsingURL(LdapCtxFactory.java:175)

        at com.sun.jndi.ldap.LdapCtxFactory.getUsingURLs(LdapCtxFactory.java:193
)
        at com.sun.jndi.ldap.LdapCtxFactory.getLdapCtxInstance(LdapCtxFactory.ja
va:136)
        at com.sun.jndi.ldap.LdapCtxFactory.getInitialContext(LdapCtxFactory.jav
a:66)
        at javax.naming.spi.NamingManager.getInitialContext(NamingManager.java:6
62)
        at javax.naming.InitialContext.getDefaultInitCtx(InitialContext.java:243
)
        at javax.naming.InitialContext.init(InitialContext.java:219)
        at javax.naming.InitialContext.<init>(InitialContext.java:195)
        at javax.naming.directory.InitialDirContext.<init>(InitialDirContext.jav
a:80)
        at org.safehaus.penrose.connection.JNDIAdapter.init(JNDIAdapter.java:70)

        at org.safehaus.penrose.connection.Adapter.init(Adapter.java:34)
        at org.safehaus.penrose.Penrose.initConnections(Penrose.java:237)
        at org.safehaus.penrose.Penrose.addConfig(Penrose.java:215)
        at org.safehaus.penrose.Penrose.init(Penrose.java:144)
        at org.safehaus.penrose.PenroseServer.run(PenroseServer.java:71)
        at org.safehaus.penrose.PenroseServer.main(PenroseServer.java:225)
Caused by: java.net.UnknownHostException: ldap.berkeley.edu
        at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:153)
        at java.net.Socket.connect(Socket.java:452)
        at java.net.Socket.connect(Socket.java:402)
        at java.net.Socket.<init>(Socket.java:309)
        at java.net.Socket.<init>(Socket.java:124)
        at com.sun.jndi.ldap.Connection.createSocket(Connection.java:346)
        at com.sun.jndi.ldap.Connection.<init>(Connection.java:181)
        ... 20 more',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-06-03 00:00:00.0',
                                 'sequence' => '1',
                                 'name' => 'Penrose-0.9.1',
                                 'released' => 'true',
                                 'id' => '10004',
                                 'archived' => 'false'
                               },
                               {
                                 'releaseDate' => '2005-07-06 00:00:00.0',
                                 'sequence' => '2',
                                 'name' => 'Penrose-0.9.2',
                                 'released' => 'true',
                                 'id' => '10005',
                                 'archived' => 'false'
                               },
                               {
                                 'releaseDate' => '2005-07-26 00:00:00.0',
                                 'sequence' => '3',
                                 'name' => 'Penrose-0.9.3',
                                 'released' => 'true',
                                 'id' => '10020',
                                 'archived' => 'false'
                               },
                               {
                                 'releaseDate' => '2005-08-31 00:00:00.0',
                                 'sequence' => '4',
                                 'name' => 'Penrose-0.9.4',
                                 'released' => 'true',
                                 'id' => '10021',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2005-09-14 13:25:43.0',
          'environment' => 'win32',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:57:28 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-89

Note You need to log in before you can comment on or make changes to this bug.